<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/LoginFragment">

<!--    <keep_state_fragment-->
<!--        android:id="@+id/LoginFragment"-->
<!--        android:name="com.example.smart119.views.LoginFragment"-->
<!--        android:label="@string/str_login_fragment"-->
<!--        tools:layout="@layout/fragment_first">-->
<!--        <action-->
<!--            android:id="@+id/action_FirstFragment_to_SecondFragment"-->
<!--            app:destination="@id/HospSearchFragment" />-->
<!--    </keep_state_fragment>-->

<!--    <keep_state_fragment-->
<!--        android:id="@+id/HospSearchFragment"-->
<!--        android:name="com.example.smart119.views.HospitalSearchFragment"-->
<!--        android:label="@string/str_hospsearch_fragment"-->
<!--        tools:layout="@layout/fragment_second">-->
<!--        <action-->
<!--            android:id="@+id/action_SecondFragment_to_TransferFragment"-->
<!--            app:destination="@id/TransferFragment" />-->
<!--    </keep_state_fragment>-->

<!--    <keep_state_fragment-->
<!--        android:id="@+id/TransferFragment"-->
<!--        android:name="com.example.smart119.views.TransferFragment"-->
<!--        android:label="@string/str_transfer_fragment"-->
<!--        tools:layout="@layout/fragment_transfer"/>-->

    <fragment
        android:id="@+id/LoginFragment"
        android:name="com.example.smart119.views.LoginFragment"
        android:label="@string/str_login_fragment"
        tools:layout="@layout/fragment_first">
        <action
            android:id="@+id/action_FirstFragment_to_SecondFragment"
            app:destination="@id/HospSearchFragment" />
    </fragment>
    <fragment
        android:id="@+id/HospSearchFragment"
        android:name="com.example.smart119.views.HospitalSearchFragment"
        android:label="@string/str_hospsearch_fragment"
        tools:layout="@layout/fragment_second">
        <action
            android:id="@+id/action_SecondFragment_to_TransferFragment"
            app:destination="@id/TransferFragment" />
    </fragment>
    <fragment
        android:id="@+id/TransferFragment"
        android:name="com.example.smart119.views.TransferFragment"
        android:label="@string/str_transfer_fragment"
        tools:layout="@layout/fragment_transfer"/>

</navigation>